Bug 1187224 - Review Request: python-backport_collections - Backport of Python 2.7's collections module
Summary: Review Request: python-backport_collections - Backport of Python 2.7's collec...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1179743
TreeView+ depends on / blocked
 
Reported: 2015-01-29 15:14 UTC by Matěj Cepl
Modified: 2018-04-11 19:21 UTC (History)
3 users (show)

Fixed In Version: python-backport_collections-0.1-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-08 22:39:09 UTC
Type: ---
dan: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 2 Dan Horák 2015-02-02 12:06:41 UTC
formal review is here, see the notes explaining OK* and BAD statuses below:

OK      source files match upstream:
            ca04e8399194a70b10993552ce01b4551bad56ea  backport_collections-0.1.tar.gz
OK      package meets naming and versioning guidelines.
OK      specfile is properly named, is cleanly written and uses macros consistently.
OK      dist tag is present.
OK      license field matches the actual license.
OK      license is open source-compatible (Python). License text included in package.
OK      latest version is being packaged.
OK      BuildRequires are proper.
N/A     compiler flags are appropriate.
OK      package builds in mock (EPEL-6/x86_64).
N/A     debuginfo package looks complete.
OK*     rpmlint is silent.
OK      final provides and requires look sane.
OK      %check is present and all tests pass.
OK      no shared libraries are added to the regular linker search paths.
Ok      owns the directories it creates.
OK      doesn't own any directories it shouldn't.
OK      no duplicates in %files.
OK      file permissions are appropriate.
OK      no scriptlets present.
OK      code, not content.
OK      documentation is small, so no -docs subpackage is necessary.
OK      %docs are not necessary for the proper functioning of the package.
OK      no headers.
OK      no pkgconfig files.
OK      no libtool .la droppings.
OK      not a GUI app.

- my preference is to list BRs on individual lines, it is easier to track changes there
- rpmlint complains a bit from the spell-checker - please fix the "slightly" typo
python-backport_collections.src: W: spelling-error Summary(en_US) Backport -> Back port, Back-port, Backpacker
python-backport_collections.src: W: spelling-error %description -l en_US Backport -> Back port, Back-port, Backpacker
python-backport_collections.src: W: spelling-error %description -l en_US deque -> queue
python-backport_collections.src: W: spelling-error %description -l en_US namedtuple -> nameplate
python-backport_collections.src: W: spelling-error %description -l en_US backported -> back ported, back-ported, backpacked
python-backport_collections.src: W: spelling-error %description -l en_US slighlty -> slightly, slight


The package is APPROVED.

Comment 3 Matěj Cepl 2015-02-02 12:42:31 UTC
New Package SCM Request
=======================
Package Name: python-backport_collections
Short Description: Backport of Python 2.7's collections module
Upstream URL: https://pypi.python.org/pypi/backport_collections/
Owners: mcepl
Branches: el6

Comment 4 Gwyn Ciesla 2015-02-03 13:30:37 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2015-02-03 16:52:08 UTC
python-backport_collections-0.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-backport_collections-0.1-1.el6

Comment 6 Fedora Update System 2015-02-03 19:30:56 UTC
python-backport_collections-0.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 7 Fedora Update System 2015-03-08 22:39:09 UTC
python-backport_collections-0.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.